<h1>{{selectedItem.titleName}}</h1>
<p>{{selectedItem.description}}</p>

<form #quizdata="ngForm" (ngSubmit)="onSubmit()">
	<div *ngFor="let q of selectedItem.questionarray; let i=index">
		{{q.question}}
		<br>
		<input type="radio" name="q" (change)="selectedanswer(i,q.option1);" /> {{q.option1}}
		<br>
		<input type="radio" name="q" (change)="selectedanswer(i,q.option2);" /> {{q.option2}}
		<br>
		<input type="radio" name="q" (change)="selectedanswer(i,q.option3);" /> {{q.option3}}
		<br>
		<input type="radio" name="q" (change)="selectedanswer(i,q.option4);" /> {{q.option4}}
	</div>
	<div>
		<button type="submit" class="btn btn-success">Submit</button>
	</div>
</form>
<!-- <p> {{selectedItem.questionarray[1].option2}}</p>
  <input type="radio" id="male" name="gender" [value]="selectedItem.questionarray[0].option1" ngModel>
  <label for="male">Male</label><br>
  <input type="radio" id="female" name="gender" [value]="selectedItem.questionarray[0].option2" ngModel>
  <label for="female">Female</label><br>
  <input type="radio" id="other" name="gender" [value]="selectedItem.questionarray[0].option3" ngModel>
  <label for="other">Other</label>

  <br>

  <p>Please select your age:</p>
  <input type="radio" id="age1" name="age" [value]="30" ngModel>
  <label for="age1">0 - 30</label><br>
  <input type="radio" id="age2" name="age" [value]="60" ngModel>
  <label for="age2">31 - 60</label><br>
  <input type="radio" id="age3" name="age" [value]="100" ngModel>
  <label for="age3">61 - 100</label><br><br>
  <input type="submit" value="Submit"> -->